tbb::flow::interface9::gfx_buffer< T > Class Template Reference

## Public Types

typedef std::vector< T >::iterator | iterator
typedef std::vector< T > ::const_iterator | const_iterator
typedef std::size_t | size_type

## Public Member Functions

| gfx_buffer (size_type size)
T * | data ()
const T * | data () const
size_type | size () const
const_iterator | cbegin () const
const_iterator | cend () const
iterator | begin ()
iterator | end ()
T & | operator[] (size_type pos)
const T & | operator[] (size_type pos) const

The documentation for this class was generated from the following file:

- gfx_factory.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.